SystemOrganization addCategory: #OCLoader!

Object subclass: #OCompletionLoader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OCLoader'!

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:31'!
hasECompletion
	Smalltalk at: #ECController ifAbsent: [^ false].
	^ true! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:31'!
hasShout
	Smalltalk at: #PluggableShoutMorph ifAbsent: [^ false].
	^ true! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:46'!
initialize
	self hasShout ifFalse: [self installShout].
	self hasECompletion ifFalse: [
		self isPharo ifTrue: [self installEcompletionPharo]
					ifFalse: [self installEcompletionSqueak]].
	self installOCompletion! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:45'!
installEcompletionPharo
	Installer squeaksource project: 'eCompletion'; install: 'ECompletion-damiencassou.106.mcz'! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:46'!
installEcompletionSqueak
	Installer squeaksource project: 'eCompletion'; install: 'ECompletion-damiencassou.92.mcz'! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:40'!
installOCompletion
	Installer squeaksource project: 'OCompletion'; install: 'OCompletion-rr.9.mcz'! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:38'!
installShout
	Installer squeaksource project: 'shout'; install: 'Shout-tween.19.mcz'! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:27'!
isPharo
	^ Smalltalk version startsWith: 'Pharo'! !
OCompletionLoader initialize!
